Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class VerticalAlign

    java.lang.Object
      org.apache.poi.xwpf.usermodel.VerticalAlign

    public class VerticalAlign

extends java.lang.Object

Specifies possible values for the alignment of the contents of this run in relation to the default appearance of the run's text. This allows the text to be repositioned as subscript or superscript without altering the font size of the run properties.

Author:
  Gisella Bronzetti

Field Summary
`static VerticalAlign` | `BASELINE` Specifies that the text in the parent run shall be located at the baseline and presented in the same size as surrounding text.
`static VerticalAlign` | `SUBSCRIPT` Specifies that this text should be superscript.
`static VerticalAlign` | `SUPERSCRIPT` Specifies that this text should be subscript.

Method Summary
`int` | `getValue()`
`static VerticalAlign` | `valueOf(int type)`
`static VerticalAlign[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASELINE

    public static final VerticalAlign BASELINE

  Specifies that the text in the parent run shall be located at the baseline and presented in the same size as surrounding text.

### SUPERSCRIPT

    public static final VerticalAlign SUPERSCRIPT

  Specifies that this text should be subscript. This setting shall lower the text in this run below the baseline and change it to a smaller size, if a smaller size is available.

### SUBSCRIPT

    public static final VerticalAlign SUBSCRIPT

  Specifies that this text should be superscript. This setting shall raise the text in this run above the baseline and change it to a smaller size, if a smaller size is available.

Method Detail

### getValue

    public int getValue()

### values

    public static VerticalAlign[] values()

### valueOf

    public static VerticalAlign valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD